extends Node
class_name LogicalPosition

var row : int = 0
var col : int = 0

func _init(initcol : int = 0, initrow : int = 0) -> void:
	self.row = initrow
	self.col = initcol

func IsEqualTo(other : LogicalPosition) -> bool:
	return (self.row == other.row) and (self.col == other.col)

func _to_string() -> String:
	return "(" + str(col) + ", " + str(row) + ")"